## ros-indigo-checkerboard-detector 1.2.7

=== CMakeLists.txt ===
# http://ros.org/doc/groovy/api/catkin/html/user_guide/supposed.html
cmake_minimum_required(VERSION 2.8.3)
project(checkerboard_detector)

find_package(catkin REQUIRED COMPONENTS roscpp rosconsole dynamic_reconfigure cv_bridge sensor_msgs image_geometry
  posedetection_msgs eigen_conversions message_filters tf tf2 jsk_recognition_msgs jsk_recognition_msgs
)
find_package(OpenMP)
find_package(posedetection_msgs)

generate_dynamic_reconfigure_options(cfg/CheckerboardDetector.cfg)

catkin_package(
    CATKIN_DEPENDS roscpp rosconsole cv_bridge sensor_msgs posedetection_msgs image_geometry jsk_recognition_msgs
    DEPENDS
    INCLUDE_DIRS # TODO include
    LIBRARIES # TODO
)

if (OPENMP_FOUND)
    set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} ${OpenMP_C_FLAGS}")
    set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")
endif()

include_directories(SYSTEM ${catkin_INCLUDE_DIRS})

#set the default path for built executables to the "bin" directory
# set(EXECUTABLE_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/bin)
#set the default path for built libraries to the "lib" directory
# set(LIBRARY_OUTPUT_PATH ${PROJECT_SOURCE_DIR}/lib)

add_executable(checkerboard_detector src/checkerboard_detector.cpp)
target_link_libraries(checkerboard_detector ${catkin_LIBRARIES})
add_executable(objectdetection_transform_echo src/objectdetection_transform_echo.cpp)
target_link_libraries(objectdetection_transform_echo ${catkin_LIBRARIES})
add_executable(checkerboard_calibration src/checkerboard_calibration.cpp)
target_link_libraries(checkerboard_calibration ${catkin_LIBRARIES})
add_dependencies(checkerboard_detector    posedetection_msgs_generate_messages_cpp)
add_dependencies(checkerboard_calibration posedetection_msgs_generate_messages_cpp)
add_dependencies(objectdetection_transform_echo posedetection_msgs_generate_messages_cpp)
add_dependencies(checkerboard_detector    jsk_recognition_msgs_generate_messages_cpp)
add_dependencies(checkerboard_calibration jsk_recognition_msgs_generate_messages_cpp)
add_dependencies(objectdetection_transform_echo jsk_recognition_msgs_generate_messages_cpp)
add_dependencies(checkerboard_detector ${PROJECT_NAME}_gencfg)

install(TARGETS checkerboard_detector checkerboard_calibration
  objectdetection_transform_echo
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(PROGRAMS src/objectdetection_tf_publisher.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

file(GLOB _launch *.launch)
file(GLOB _pdf *.pdf)
install(FILES ${_launch} ${_pdf}
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

=== debian/changelog ===
ros-indigo-checkerboard-detector (1.2.7-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 Feb 2019 00:00:00 -0000

ros-indigo-checkerboard-detector (1.2.6-0trusty) trusty; urgency=high

  * Fix Cmake indent (#2345 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2345>)
  * Fix warnings: gencpp -> generate_messsage_cpp (#2296 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/2296>)
  * Contributors: Kentaro Wada, Yuto Uchimi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 02 Nov 2018 00:00:00 -0000

ros-indigo-checkerboard-detector (1.2.5-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 09 Apr 2018 00:00:00 -0000

ros-indigo-checkerboard-detector (1.2.4-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 12 Jan 2018 00:00:00 -0000

ros-indigo-checkerboard-detector (1.2.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 23 Nov 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.2.2-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 23 Jul 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.2.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.2.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 15 Jul 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.1.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.1.2-0trusty) trusty; urgency=high

  * [checkerboard_detector] update launch and document
  * [checkerboard_detector] add parameters, axis_size and circle_size
  * [checkerboard_detector] add queue_size and publish_queue_size
  * [checkerboard_detector] fix board_type
  * Generate README by script
  * Contributors: Kentaro Wada, YoheiKakiuchi

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Jun 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.1.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 04 Mar 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.1.0-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.0.4-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 09 Feb 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.0.3-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 08 Feb 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.0.2-0trusty) trusty; urgency=high

  * warn if topic seems to be rectified (#1937 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1937>)
  * Contributors: Yu Ohara

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 12 Jan 2017 00:00:00 -0000

ros-indigo-checkerboard-detector (1.0.1-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Dec 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (1.0.0-0trusty) trusty; urgency=high

  * [checkerboard_detector] warn if error is big (#1939 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1939>)
  * Contributors: Yu Ohara

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 12 Dec 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.29-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sun, 30 Oct 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.28-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 29 Oct 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.27-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Sat, 29 Oct 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.26-0trusty) trusty; urgency=high

  * [checkerboard_detector/CMakeLists.txt] add dependency to cfg for checkerboard_detector executable. (#1920 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1920>)
  * [checkerboard_detector] enable to select option for cv::findChessboardCorners from dynamic reconfigure (#1893 <https://github.com/jsk-ros-pkg/jsk_recognition/issues/1893>)
    * [checkerboard_detector] rename variable name: mutexcalib -> mutex.
    * [checkerboard_detector] pass parameter from dynamic reconfigure to findChessboardCorners.
    * [checkerboard_detector] add cfg file and add dependency to dynamic reconfigure.
  * Contributors: Masaki Murooka

 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 27 Oct 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.25-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 16 Sep 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.24-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 15 Sep 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.23-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Wed, 14 Sep 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.22-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.21-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Fri, 15 Apr 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.20-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Thu, 14 Apr 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.19-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Tue, 22 Mar 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.18-0trusty) trusty; urgency=high



 -- Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>  Mon, 21 Mar 2016 00:00:00 -0000

ros-indigo-checkerboard-detector (0.3.17-0trusty) trusty; urgency=high





=== debian/control ===
Source: ros-indigo-checkerboard-detector
Section: misc
Priority: extra
Maintainer: Kei Okada <k-okada@jsk.t.u-tokyo.ac.jp>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-eigen-conversions, ros-indigo-image-geometry, ros-indigo-jsk-recognition-msgs, ros-indigo-message-filters, ros-indigo-posedetection-msgs, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf2
Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_recognition/doc/checkerboard_detector
Standards-Version: 3.9.2

Package: ros-indigo-checkerboard-detector
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-cv-bridge, ros-indigo-dynamic-reconfigure, ros-indigo-dynamic-tf-publisher, ros-indigo-eigen-conversions, ros-indigo-image-geometry, ros-indigo-jsk-recognition-msgs, ros-indigo-message-filters, ros-indigo-posedetection-msgs, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-sensor-msgs, ros-indigo-tf, ros-indigo-tf2
Description: Uses opencv to find checkboards and compute their 6D poses with respect to the image.
 Requires the image to be calibrated. Parameters: display - show the checkerboard detection rect%d_size_x - size of checker in x direction rect%d_size_y - size of checker in y direction grid%d_size_x - number of checkers in x direction grid%d_size_y - number of checkers in y direction There can be more than one grid%d declared, the numbers should grow consecutively starting at 0.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-checkerboard-detector//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
